set number        " 显示行号
syntax on         " 语法高亮
colorscheme torte " 主题

set autoindent      " 自动缩进
set expandtab       " 缩进空格表示
set cindent         " 在 C 程序代码中启用 C 样式的缩进
set smartindent     " 根据上下文智能地进行缩进
set tabstop=4       " Tab 缩进长度
set shiftwidth=4    " 每一级缩进的长度
set softtabstop=-1  " 退格键退回缩进的长度，-1 表示使用 shiftwidth
set indentkeys-=<:> " 禁用在插入模式下按下 < 和 > 键进行自动缩进。

set showmatch " 高亮显示匹配的括号
set showcmd   " 显示还没有输入完整的命令

filetype plugin indent on  " 启用文件类型检测、插件支持和自动缩进
autocmd FileType python,make setlocal tabstop=4 shiftwidth=4 softtabstop-4
autocmd FileType python,make setlocal indentkeys-=<:>
autocmd FileType python,make setlocal indentkeys-=:
autocmd FileType make setlocal noexpandtab  " 对于 Makefile 文件，禁用使用空格代替 Tab 键进行缩进
autocmd BufRead,BufNewFile *.obstd.log set syntax=conf
autocmd BufRead,BufNewFile *.crontab set syntax=crontab
autocmd BufRead,BufNewFile *.ini.filled set syntax=dosini

" set noswapfile  " 禁用交换文件的创建
